/**
 * EnedisKonnectorData definition
 * @typedef {object} EnedisKonnectorData
 * @property {number} year
 * @property {number} month
 * @property {number} day
 * @property {number} hour
 * @property {number} minute
 */

/**
 * SGEData definition
 * @typedef {object} SGEData
 * @property {number} v
 * @property {string} d
 */

/**
 * Fields definition
 * @typedef {object} fields
 * @property {string} wso2BaseUrl
 * @property {string} apiToken
 * @property {string} sgeLogin
 * @property {string} contractId
 * @property {number} pointId
 * @property {string} lastname
 */

/**
 * Consent definition
 * @typedef {object} Consent
 * @property {number} pointId
 * @property {string} lastname
 * @property {string} firstname
 * @property {string} address
 * @property {string} postalCode
 * @property {string} inseeCode
 * @property {number} [serviceId]
 * @property {number} [id]
 */

/**
 * User definition
 * @typedef {object} User
 * @property {number} pointId
 * @property {string} lastname
 * @property {string} firstname
 * @property {string} postalCode
 * @property {string} address
 * @property {string} inseeCode
 */

/**
 * Contract definition
 * @typedef {object} Contract
 * @property {number} serviceSouscritId
 * @property {string} pointId
 * @property {object} serviceSouscritType
 * @property {string} serviceSouscritLibelle
 * @property {string} injection
 * @property {string} soutirage
 * @property {string} contratId
 * @property {string} contratLibelle
 * @property {contractState} etatCode
 * @property {string} dateDebut
 * @property {string} dateFin
 * @property {string} mesuresTypeCode
 * @property {string} mesuresPas
 * @property {string} mesuresCorrigees
 * @property {string} periodiciteTransmission
 */
